create lvm snapshot script

2012-10-17 19:54 - Nick Outin

Status: Closed Start date: 2012-10-17

Priority: Normal Due date:  

Assignee: Nick Outin % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

... write a wrapper script for the LVM snapshot command that takes parameters for the VG name, partitions to snap, etc. Document

when the snapshot was made.  Keep the naming scheme of the snapshots consistent.

From http://epad.dataone.org/CN-backup-strategies

Also: check for existing snapshots, available snapshot space

History

#1 - 2012-11-01 00:30 - Nick Outin

Setup a VM to test shrinking EXT4 in LVM, and to write and test the script. Successfully shrank the EXT4/LVM filesystem, will write the script

tomorrow.

#2 - 2012-11-01 23:21 - Nick Outin

- % Done changed from 0 to 20

Script is taking longer than expected because of my older (no longer used) volume group setup that has three volume groups per UCSB server (it was

intended to keep partitions on specific LUNs).

Ideally, we want one volume group per server, with the logical volumes for /, /usr, /var.

Here's the current Volume Group and Logical Volume layout on the six servers:

cn-stage-ucsb-1.test.dataone.org

VG/LV

cn-stage-ucsb-1-root/root

cn-stage-ucsb-1-usr/usr

cn-stage-ucsb-1-var/var

cn-stage-orc-1.test.dataone.org

VG/LV

cn-stage-orc-1/root

cn-stage-orc-1/usr

cn-stage-orc-1/var

cn-stage-unm-1.test.dataone.org

VG/LV

ubuntu/root

ubuntu/usr

ubuntu/var

cn-ucsb-1.dataone.org

VG/LV

cn-ucsb-1/root

cn-ucsb-1-usr/usr

cn-ucsb-1-var/var

cn-orc-1.dataone.org

VG/LV
cn-orc-1-VG/cn-orc-1-LV

cn-orc-1-VG/cn-orc-2-LV

cn-orc-1-VG/cn-orc-3-LV

cn-unm-1.dataone.org

VG/LV

ubuntu/root

ubuntu/usr

ubuntu/var

#3 - 2012-11-03 00:01 - Nick Outin

- Status changed from New to Closed

- % Done changed from 20 to 100

- translation missing: en.field_remaining_hours set to 0.0

Uploaded the script to https://repository.dataone.org/software/cicore/trunk/cn/d1_cn_tools/d1_cn_snapshot/
